| Version: 3.3.1

Public Member Functions | List of all members
wxIndividualLayoutConstraint Class Reference

`#include <wx/layout.h>`

Inheritance diagram for wxIndividualLayoutConstraint:
[legend]

## Public Member Functions
| wxIndividualLayoutConstraint ()
virtual | ~wxIndividualLayoutConstraint ()
void | Set (wxRelationship rel, wxWindow *otherW, wxEdge otherE, int val=0, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | LeftOf (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | RightOf (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | Above (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | Below (wxWindow *sibling, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | SameAs (wxWindow *otherW, wxEdge edge, int margin=wxLAYOUT_DEFAULT_MARGIN)
void | PercentOf (wxWindow *otherW, wxEdge wh, int per)
void | Absolute (int val)
void | Unconstrained ()
void | AsIs ()
wxWindow * | GetOtherWindow ()
wxEdge | GetMyEdge () const
void | SetEdge (wxEdge which)
void | SetValue (int v)
int | GetMargin () const
void | SetMargin (int m)
int | GetValue () const
int | GetPercent () const
int | GetOtherEdge () const
bool | GetDone () const
void | SetDone (bool d)
wxRelationship | GetRelationship () const
void | SetRelationship (wxRelationship r)
bool | ResetIfWin (wxWindow *otherW)
bool | SatisfyConstraint (wxLayoutConstraints *constraints, wxWindow *win)
int | GetEdge (wxEdge which, wxWindow *thisWin, wxWindow *other) const
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to nullptr the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=nullptr, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxIndividualLayoutConstraint()

wxIndividualLayoutConstraint::wxIndividualLayoutConstraint | ( |  | ) |

## ◆ ~wxIndividualLayoutConstraint()

virtual wxIndividualLayoutConstraint::~wxIndividualLayoutConstraint | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ Above()

void wxIndividualLayoutConstraint::Above | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

## ◆ Absolute()

void wxIndividualLayoutConstraint::Absolute | ( | int | val | ) |

## ◆ AsIs()

void wxIndividualLayoutConstraint::AsIs | ( |  | ) |

## ◆ Below()

void wxIndividualLayoutConstraint::Below | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

## ◆ GetDone()

bool wxIndividualLayoutConstraint::GetDone | ( |  | ) | const

## ◆ GetEdge()

int wxIndividualLayoutConstraint::GetEdge | ( | wxEdge | which,
|  | wxWindow * | thisWin,
|  | wxWindow * | other
| ) |  | const

## ◆ GetMargin()

int wxIndividualLayoutConstraint::GetMargin | ( |  | ) | const

## ◆ GetMyEdge()

wxEdge wxIndividualLayoutConstraint::GetMyEdge | ( |  | ) | const

## ◆ GetOtherEdge()

int wxIndividualLayoutConstraint::GetOtherEdge | ( |  | ) | const

## ◆ GetOtherWindow()

wxWindow* wxIndividualLayoutConstraint::GetOtherWindow | ( |  | ) |

## ◆ GetPercent()

int wxIndividualLayoutConstraint::GetPercent | ( |  | ) | const

## ◆ GetRelationship()

wxRelationship wxIndividualLayoutConstraint::GetRelationship | ( |  | ) | const

## ◆ GetValue()

int wxIndividualLayoutConstraint::GetValue | ( |  | ) | const

## ◆ LeftOf()

void wxIndividualLayoutConstraint::LeftOf | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

## ◆ PercentOf()

void wxIndividualLayoutConstraint::PercentOf | ( | wxWindow * | otherW,
|  | wxEdge | wh,
|  | int | per
| ) |  |

## ◆ ResetIfWin()

bool wxIndividualLayoutConstraint::ResetIfWin | ( | wxWindow * | otherW | ) |

## ◆ RightOf()

void wxIndividualLayoutConstraint::RightOf | ( | wxWindow * | sibling,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

## ◆ SameAs()

void wxIndividualLayoutConstraint::SameAs | ( | wxWindow * | otherW,
|  | wxEdge | edge,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

## ◆ SatisfyConstraint()

bool wxIndividualLayoutConstraint::SatisfyConstraint | ( | wxLayoutConstraints * | constraints,
|  | wxWindow * | win
| ) |  |

## ◆ Set()

void wxIndividualLayoutConstraint::Set | ( | wxRelationship | rel,
|  | wxWindow * | otherW,
|  | wxEdge | otherE,
|  | int | val = `0`,
|  | int | margin = `wxLAYOUT_DEFAULT_MARGIN`
| ) |  |

## ◆ SetDone()

void wxIndividualLayoutConstraint::SetDone | ( | bool | d | ) |

## ◆ SetEdge()

void wxIndividualLayoutConstraint::SetEdge | ( | wxEdge | which | ) |

## ◆ SetMargin()

void wxIndividualLayoutConstraint::SetMargin | ( | int | m | ) |

## ◆ SetRelationship()

void wxIndividualLayoutConstraint::SetRelationship | ( | wxRelationship | r | ) |

## ◆ SetValue()

void wxIndividualLayoutConstraint::SetValue | ( | int | v | ) |

## ◆ Unconstrained()

void wxIndividualLayoutConstraint::Unconstrained | ( |  | ) |